<?php
/*##################################################
 *                                blog.php (ex: news.php)
 *                            -------------------
 *   begin              : June 20, 2005
 *   copyright          : (C) 2005 Viarre Rgis
 *   email              : crowkait@phpboost.com
 *
 *
 ###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
####################################################
#                 Changelog                        #
#################################################### 
* 
*   Date                 : 27/08/2009
*   Auteur               : Swan | CsN
*   Email                : contact@chez-swan.net
*   Web                  : http://chez-swan.net/
*   Description          : modification du nom du module en module blog.

####################################################
#                    blog.php                      #
####################################################*/
require_once('../kernel/begin.php');
require_once('../blog/blog_begin.php');
require_once('../kernel/header.php');

//$idblog, $idcat, $show_archive dfinies dans blog_begin.php

$is_admin = $User->check_level(ADMIN_LEVEL);
if (empty($idblog) && empty($idcat)) // Accueil du module de blog
{
	import('modules/modules_discovery_service');
	$modulesLoader = new ModulesDiscoveryService();
	$module_name = 'blog';
	$module = $modulesLoader->get_module($module_name);
	if ($module->has_functionality('get_home_page')) {
		echo $module->functionality('get_home_page');
		require_once('../kernel/footer.php');
		exit;
	} elseif (!$no_alert_on_error) {
		global $Errorh;	
		$Errorh->handler('Le module <strong>' . $module_name . '</strong> n\'a pas de fonction get_home_page!', E_USER_ERROR, __LINE__, __FILE__);
		exit;
	}
}
elseif (!empty($idblog)) //On affiche la blog correspondant  l'id envoy.
{
	if (empty($blog['id']))
		$Errorh->handler('e_unexist_blog', E_USER_REDIRECT);

	import('content/comments');
	import('content/syndication/feed');
	
	$tpl_blog = new Template('blog/blog.tpl');
	
	$next_blog = $Sql->query_array(PREFIX . "blog", "title", "id", "WHERE visible = 1 AND id > '" . $idblog . "' " . $Sql->limit(0, 1), __LINE__, __FILE__);
	$previous_blog = $Sql->query_array(PREFIX . "blog", "title", "id", "WHERE visible = 1 AND id < '" . $idblog . "' ORDER BY id DESC " . $Sql->limit(0, 1), __LINE__, __FILE__);

	$tpl_blog->assign_vars(array(
		'C_IS_ADMIN' => $is_admin,
		'C_blog_BLOCK' => true,
		'C_blog_NAVIGATION_LINKS' => true,
		'C_PREVIOUS_blog' => !empty($previous_blog['id']),
		'C_NEXT_blog' =>!empty($next_blog['id']),
		'TOKEN' => $Session->get_token(),
		'PREVIOUS_blog' => $previous_blog['title'],
		'NEXT_blog' => $next_blog['title'],
		'U_PREVIOUS_blog' => url('.php?id=' . $previous_blog['id'], '-0-' . $previous_blog['id'] . '+' . url_encode_rewrite($previous_blog['title']) . '.php'),
		'U_NEXT_blog' => url('.php?id=' . $next_blog['id'], '-0-' . $next_blog['id'] . '+' . url_encode_rewrite($next_blog['title']) . '.php'),
		'L_SYNDICATION' => $LANG['syndication'],
		'L_ALERT_DELETE_blog' => $LANG['alert_delete_blog'],
		'L_ON' => $LANG['on'],
		'L_DELETE' => $LANG['delete'],
		'L_EDIT' => $LANG['edit'],
	));
	
	$tpl_blog->assign_block_vars('blog', array(
		'C_IMG' => !empty($blog['img']),
		'C_ICON' => (!empty($blog['icon']) && $CONFIG_blog['activ_icon'] == 1),
		'ID' => $blog['id'],
		'IDCAT' => $blog['idcat'],
		'ICON' => second_parse_url($blog['icon']),
		'TITLE' => $blog['title'],
		'CONTENTS' => second_parse($blog['contents']),
		'EXTEND_CONTENTS' => second_parse($blog['extend_contents']) . '<br /><br />',
		'IMG' => second_parse_url($blog['img']),
		'IMG_DESC' => $blog['alt'],
		'PSEUDO' => $CONFIG_blog['display_author'] ? $blog['login'] : '',				
		'DATE' => $CONFIG_blog['display_date'] ? $LANG['on'] . ': ' . gmdate_format('date_format_short', $blog['timestamp']) : '',
		'U_COM' => ($CONFIG_blog['activ_com'] == 1) ? Comments::com_display_link($blog['nbr_com'], '../blog/blog' . url('.php?cat=0&amp;id=' . $idblog . '&amp;com=0', '-0-' . $idblog . '+' . url_encode_rewrite($blog['title']) . '.php?com=0'), $idblog, 'blog') : '',
		'U_USER_ID' => url('.php?id=' . $blog['user_id'], '-' . $blog['user_id'] . '.php'),
		'U_blog_LINK' => url('.php?id=' . $blog['id'], '-0-' . $blog['id'] . '+' . url_encode_rewrite($blog['title']) . '.php'),
	    'FEED_MENU' => Feed::get_feed_menu(FEED_URL)
	));	
}
elseif (!empty($idcat))
{
	$tpl_blog = new Template('blog/blog_cat.tpl');
	
	$cat = $Sql->query_array(PREFIX . 'blog_cat', 'id', 'name', 'icon', "WHERE id = '" . $idcat . "'", __LINE__, __FILE__);
	if (empty($cat['id']))
		$Errorh->handler('error_unexist_cat', E_USER_REDIRECT);
	
	$tpl_blog->assign_vars(array(
		'C_IS_ADMIN' => $is_admin,
		'C_blog_LINK' => true,
		'CAT_NAME' => $cat['name'],
		'IDCAT' => $cat['id'],
		'L_EDIT' => $LANG['edit'],
		'L_CATEGORY' => $LANG['category']
	));
		
	$result = $Sql->query_while("SELECT n.id, n.title, n.nbr_com, nc.id AS idcat, nc.icon
	FROM " . PREFIX . "blog n
	LEFT JOIN " . PREFIX . "blog_cat nc ON nc.id = n.idcat
	WHERE n.visible = 1 AND n.idcat = '" . $idcat . "'
	ORDER BY n.timestamp DESC", __LINE__, __FILE__);
	while ($row = $Sql->fetch_assoc($result))
	{ 
		$tpl_blog->assign_block_vars('list', array(
			'ICON' => ((!empty($row['icon']) && $CONFIG_blog['activ_icon'] == 1) ? '<a href="blog' . url('.php?cat=' . $row['idcat'], '-' . $row['idcat'] . '.php') . '"><img class="valign_middle" src="' . $row['icon'] . '" alt="" /></a>' : ''),
			'TITLE' => $row['title'],
			'COM' => $row['nbr_com'],
			'U_blog' => 'blog' . url('.php?id=' . $row['id'], '-0-' . $row['id'] . '+'  . url_encode_rewrite($row['title']) . '.php')
		));
	}
}
	
//Affichage commentaires.
//if (isset($_GET['com']) && $idblog > 0)
//{
	$tpl_blog->assign_vars(array(
		'COMMENTS' => display_comments('blog', $idblog, url('blog.php?id=' . $idblog . '&amp;com=%s', 'blog-0-' . $idblog . '.php?com=%s'))
	));
//}

$tpl_blog->parse();

require_once('../kernel/footer.php');

?>