<?php
/*##################################################
 *                              blog_interface.class.php
 *                            -------------------
 *   begin                : April 9, 2008
 *   copyright            : (C) 2008 Loc Rouchon
 *   email                : horn@phpboost.com
 *
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
####################################################
#                 Changelog                        #
#################################################### 
* 
*   Date                 : 27/08/2009
*   Auteur               : Swan | CsN
*   Email                : contact@chez-swan.net
*   Web                  : http://chez-swan.net/
*   Description          : modification du nom du module en module blog.

####################################################*/

// Inclusion du fichier contenant la classe ModuleInterface
import('modules/module_interface');

define('blog_MAX_SEARCH_RESULTS', 100);

// Classe ForumInterface qui hrite de la classe ModuleInterface
class blogInterface extends ModuleInterface
{
    ## Public Methods ##
    function blogInterface() //Constructeur de la classe ForumInterface
    {
        parent::ModuleInterface('blog');
    }
    
    //Rcupration du cache.
	function get_cache()
	{
		global $Sql;

		$blog_config = 'global $CONFIG_blog;' . "\n";
		
		//Rcupration du tableau linaris dans la bdd.
		$CONFIG_blog = unserialize($Sql->query("SELECT value FROM " . DB_TABLE_CONFIGS . " WHERE name = 'blog'", __LINE__, __FILE__));
		
		$blog_config .= '$CONFIG_blog = ' . var_export($CONFIG_blog, true) . ';' . "\n";

		return $blog_config;
	}

	//Actions journalire.
	function on_changeday()
	{
		global $Sql;
		
		//Publication des blog en attente pour la date donne.
		$result = $Sql->query_while("SELECT id, start, end
		FROM " . PREFIX . "blog
		WHERE visible != 0", __LINE__, __FILE__);
		while ($row = $Sql->fetch_assoc($result))
		{
			if ($row['start'] <= time() && $row['start'] != 0)
				$Sql->query_inject("UPDATE " . PREFIX . "blog SET visible = 1, start = 0 WHERE id = '" . $row['id'] . "'", __LINE__, __FILE__);
			if ($row['end'] <= time() && $row['end'] != 0)
				$Sql->query_inject("UPDATE " . PREFIX . "blog SET visible = 0, start = 0, end = 0 WHERE id = '" . $row['id'] . "'", __LINE__, __FILE__);
		}
	}
	
	function get_search_request($args)
    /**
     *  Renvoie la requte de recherche
     */
    {
        global $Sql;
        $weight = isset($args['weight']) && is_numeric($args['weight']) ? $args['weight'] : 1;
        
        $request = "SELECT " . $args['id_search'] . " AS id_search,
            n.id AS id_content,
            n.title AS title,
            ( 2 * MATCH(n.title) AGAINST('" . $args['search'] . "') + (MATCH(n.contents) AGAINST('" . $args['search'] . "') + MATCH(n.extend_contents) AGAINST('" . $args['search'] . "')) / 2 ) / 3 * " . $weight . " AS relevance, "
            . $Sql->concat("'" . PATH_TO_ROOT . "/blog/blog.php?id='","n.id") . " AS link
            FROM " . PREFIX . "blog n
            WHERE ( MATCH(n.title) AGAINST('" . $args['search'] . "') OR MATCH(n.contents) AGAINST('" . $args['search'] . "') OR MATCH(n.extend_contents) AGAINST('" . $args['search'] . "') )
                AND visible = 1 AND ('" . time() . "' > start AND ( end = 0 OR '" . time() . "' < end ) )
            ORDER BY relevance DESC " . $Sql->limit(0, blog_MAX_SEARCH_RESULTS);
        
        return $request;
    }
    
    function get_feeds_list()
    {
    	global $LANG, $Sql;
    	
    	import('content/syndication/feeds_list');
    	$feeds = new FeedsList();
    	
    	$cats_tree = new FeedsCat('blog', 0, $LANG['root']);
    	
    	$result = $Sql->query_while("SELECT id, name FROM " . PREFIX . "blog_cat ORDER BY name ASC", __LINE__, __FILE__);
    	while ($row = $Sql->fetch_assoc($result))
    	{
    		$cats_tree->add_child(new FeedsCat('blog', $row['id'], $row['name']));
    	}
    	$Sql->query_close($result);
    	$feeds->add_feed($cats_tree, DEFAULT_FEED_NAME);
    	
    	return $feeds;
    }
    
    function get_feed_data_struct($idcat = 0, $name = '')
    {
        global $Cache, $Sql, $LANG, $CONFIG, $CONFIG_blog;
		
        import('content/syndication/feed_data');
        import('util/date');
        import('util/url');
        
        load_module_lang('blog');
        
        $data = new FeedData();
        
        $data->set_title($LANG['xml_blog_desc'] . ' ' . $CONFIG['server_name']);
        $data->set_date(new Date());
        $data->set_link(new Url('/syndication.php?m=blog&amp;cat=' . $idcat));
        $data->set_host(HOST);
        $data->set_desc($LANG['xml_blog_desc'] . ' ' . $CONFIG['server_name']);
        $data->set_lang($LANG['xml_lang']);
        
        // Load the new's config
        $Cache->load('blog');
        
        // Last blog
        $result = $Sql->query_while("SELECT id, title, contents, timestamp, img
            FROM " . PREFIX . "blog
            WHERE visible = 1
            ORDER BY timestamp DESC"
			. $Sql->limit(0, 2 * $CONFIG_blog['pagination_blog']), __LINE__, __FILE__);
        
        // Generation of the feed's items
        while ($row = $Sql->fetch_assoc($result))
        {
            $item = new FeedItem();
            
            $item->set_title($row['title']);
            // Rewriting
            $link = new Url('/blog/blog' . url('.php?id=' . $row['id'], '-0-' . $row['id'] .  '+' . url_encode_rewrite($row['title']) . '.php'));
            $item->set_link($link);
            $item->set_guid($link);
            $item->set_desc(second_parse($row['contents']));
            $item->set_date(new Date(DATE_TIMESTAMP, TIMEZONE_SYSTEM, $row['timestamp']));
            $item->set_image_url($row['img']);
            
            $data->add_item($item);
        }
        $Sql->query_close($result);
        
        return $data;
    }

	function get_cat()
	{
		global $Sql;
		
		$result = $Sql->query_while("SELECT *
	            FROM " . PREFIX . "blog_cat", __LINE__, __FILE__);
			$data = array();
		while ($row = $Sql->fetch_assoc($result)) {
			$data[$row['id']] = $row['name'];
		}
		$Sql->query_close($result);
		return $data;
	}
	
	function get_home_page()
	{
		global $User, $Sql, $Cache, $Bread_crumb, $CONFIG_blog, $LANG, $Session;
		require_once(PATH_TO_ROOT . '/blog/blog_begin.php');
		
		$show_archive = retrieve(GET, 'arch', false);
		$is_admin = $User->check_level(ADMIN_LEVEL);
		
		$tpl_blog = new Template('blog/blog.tpl');

		if ($CONFIG_blog['activ_edito'] == 1) //Affichage de l'dito
		{
			$tpl_blog->assign_vars( array(
				'C_blog_EDITO' => true,
				'CONTENTS' => second_parse($CONFIG_blog['edito']),
				'TITLE' => $CONFIG_blog['edito_title']
			));
		}

		import('content/comments');
		import('content/syndication/feed');
		
		//On cre une pagination (si activ) si le nombre de blog est trop important.
		import('util/pagination');
		$Pagination = new Pagination();
			
		//Pagination active, sinon affichage lien vers les archives.
		if ($CONFIG_blog['activ_pagin'] == '1')
		{
			$show_pagin = $Pagination->display(PATH_TO_ROOT . '/blog/blog' . url('.php?p=%d', '-0-0-%d.php'), $CONFIG_blog['nbr_blog'], 'p', $CONFIG_blog['pagination_blog'], 3);
			$first_msg = $Pagination->get_first_msg($CONFIG_blog['pagination_blog'], 'p');
		}
		elseif ($show_archive) //Pagination des archives.
		{
			$show_pagin = $Pagination->display(PATH_TO_ROOT . '/blog/blog' . url('.php?arch=1&amp;p=%d', '-0-0-%d.php?arch=1'), $CONFIG_blog['nbr_blog'] - $CONFIG_blog['pagination_blog'], 'p', $CONFIG_blog['pagination_arch'], 3);
			$first_msg = $CONFIG_blog['pagination_blog'] + $Pagination->get_first_msg($CONFIG_blog['pagination_arch'], 'p');
			$CONFIG_blog['pagination_blog'] = $CONFIG_blog['pagination_arch'];
		}
		else //Affichage du lien vers les archives.
		{
			$show_pagin = (($CONFIG_blog['nbr_blog'] > $CONFIG_blog['pagination_blog']) && ($CONFIG_blog['nbr_blog'] != 0)) ? '<a href="' . PATH_TO_ROOT . '/blog/blog.php?arch=1" title="' . $LANG['display_archive'] . '">' . $LANG['display_archive'] . '</a>' : '';
			$first_msg = 0;
		}
			
		$tpl_blog->assign_vars(array(
			'C_IS_ADMIN' => $is_admin,
			'C_blog_NAVIGATION_LINKS' => false,
			'L_SYNDICATION' => $LANG['syndication'],
			'PAGINATION' => $show_pagin,
			'L_ALERT_DELETE_blog' => $LANG['alert_delete_blog'],
			'L_LAST_blog' => !$show_archive ? $LANG['last_blog'] : $LANG['archive'],
	        'PATH_TO_ROOT' => TPL_PATH_TO_ROOT,
	        'THEME' => get_utheme(),
		    'FEED_MENU' => Feed::get_feed_menu(FEED_URL)
		));
		
		//Si les blog en block sont actives on recupre la page.
		if ($CONFIG_blog['type'] == 1 && !$show_archive)
		{
			$tpl_blog->assign_vars(array(
				'C_blog_BLOCK' => true
			));
			
			$column = ($CONFIG_blog['nbr_column'] > 1) ? true : false;
			if ($column)
			{
				$i = 0;
				$CONFIG_blog['nbr_column'] = !empty($CONFIG_blog['nbr_column']) ? $CONFIG_blog['nbr_column'] : 1;
				$column_width = floor(100/$CONFIG_blog['nbr_column']);

				$tpl_blog->assign_vars(array(
					'C_blog_BLOCK_COLUMN' => true,
					'COLUMN_WIDTH' => $column_width
				));
			}
			
			$z = 0;
			list($admin, $del) = array('', '');
			$result = $Sql->query_while("SELECT n.contents, n.extend_contents, n.title, n.id, n.timestamp, n.user_id, n.img, n.alt, n.nbr_com, nc.id AS idcat, nc.icon, m.login
			FROM " . PREFIX . "blog n
			LEFT JOIN " . PREFIX . "blog_cat nc ON nc.id = n.idcat
			LEFT JOIN " . DB_TABLE_MEMBER . " m ON m.user_id = n.user_id
			WHERE '" . time() . "' >= n.start AND ('" . time() . "' <= n.end OR n.end = 0) AND n.visible = 1
			ORDER BY n.timestamp DESC
			" . $Sql->limit($first_msg, $CONFIG_blog['pagination_blog']), __LINE__, __FILE__);
			while ($row = $Sql->fetch_assoc($result))
			{
				//Sparation des blog en colonnes si activ.
				$new_row = false;
				if ($column)
				{
					$new_row = (($i%$CONFIG_blog['nbr_column']) == 0 && $i > 0);
					$i++;
				}

				$tpl_blog->assign_block_vars('blog', array(
					'C_IMG' => !empty($row['img']),
					'C_ICON' => (!empty($row['icon']) && $CONFIG_blog['activ_icon'] == 1),
					'C_blog_ROW' => $new_row,
					'ID' => $row['id'],
					'IDCAT' => $row['idcat'],
					'ICON' => second_parse_url($row['icon']),
					'TITLE' => $row['title'],
					'CONTENTS' => second_parse($row['contents']),
					'EXTEND_CONTENTS' => (!empty($row['extend_contents']) ? '<a style="font-size:10px" href="' . PATH_TO_ROOT . '/blog/blog' . url('.php?id=' . $row['id'], '-0-' . $row['id'] . '.php') . '">[' . $LANG['extend_contents'] . ']</a><br /><br />' : ''),
					'IMG' => second_parse_url($row['img']),
					'IMG_DESC' => $row['alt'],
					'PSEUDO' => $CONFIG_blog['display_author'] ? $row['login'] : '',
					'DATE' => $CONFIG_blog['display_date'] ? $LANG['on'] . ': ' . gmdate_format('date_format_short', $row['timestamp']) : '',
					'TOKEN' => $Session->get_token(),
					'U_COM' => ($CONFIG_blog['activ_com'] == 1) ? Comments::com_display_link($row['nbr_com'], PATH_TO_ROOT . '/blog/blog' . url('.php?cat=0&amp;id=' . $row['id'] . '&amp;com=0', '-0-' . $row['id'] . '+' . url_encode_rewrite($row['title']) . '.php?com=0'), $row['id'], 'blog') : '',
					'NEW_ROW' => $new_row,
					'U_USER_ID' => url('.php?id=' . $row['user_id'], '-' . $row['user_id'] . '.php'),
					'U_blog_LINK' => url('.php?id=' . $row['id'], '-0-' . $row['id'] . '+' . url_encode_rewrite($row['title']) . '.php'),
	                'FEED_MENU' => Feed::get_feed_menu(FEED_URL)
				));
				$z++;
			}
			$Sql->query_close($result);
			
			if ($z == 0)
			{
				$tpl_blog->assign_vars( array(
					'C_blog_NO_AVAILABLE' => true,
					'L_NO_blog_AVAILABLE' => $LANG['no_blog_available']
				));
			}
		}
		else //blog en liste
		{
			$tpl_blog->assign_vars(array(
				'C_blog_LINK' => true
			));

			$column = ($CONFIG_blog['nbr_column'] > 1) ? true : false;
			if ($column)
			{
				$i = 0;
				$CONFIG_blog['nbr_column'] = !empty($CONFIG_blog['nbr_column']) ? $CONFIG_blog['nbr_column'] : 1;
				$column_width = floor(100/$CONFIG_blog['nbr_column']);

				$tpl_blog->assign_vars(array(
					'C_blog_LINK_COLUMN' => true,
					'COLUMN_WIDTH' => $column_width
				));
			}
			
			$result = $Sql->query_while("SELECT n.id, n.title, n.timestamp, nc.id AS idcat, nc.icon
			FROM " . PREFIX . "blog n
			LEFT JOIN " . PREFIX . "blog_cat nc ON nc.id = n.idcat
			WHERE n.visible = 1
			ORDER BY n.timestamp DESC
			" . $Sql->limit($first_msg, $CONFIG_blog['pagination_blog']), __LINE__, __FILE__);
			while ($row = $Sql->fetch_assoc($result))
			{
				//Sparation des blog en colonnes si activ.
				$new_row = false;
				if ($column)
				{
					$new_row = (($i%$CONFIG_blog['nbr_column']) == 0 && $i > 0);
					$i++;
				}
				
				$tpl_blog->assign_block_vars('list', array(
					'C_blog_ROW' => $new_row,
					'ICON' => ((!empty($row['icon']) && $CONFIG_blog['activ_icon'] == 1) ? '<a href="../blog/blog' . url('.php?cat=' . $row['idcat'], '-' . $row['idcat'] . '.php') . '"><img class="valign_middle" src="' . $row['icon'] . '" alt="" /></a>' : ''),
					'DATE' => gmdate_format('date_format_tiny', $row['timestamp']),
					'TITLE' => $row['title'],
					'NEW_ROW' => $new_row,
					'U_blog' => '../blog/blog' . url('.php?id=' . $row['id'], '-0-' . $row['id'] . '+' . url_encode_rewrite($row['title']) . '.php')
				));
			}
			$Sql->query_close($result);
		}
		return $tpl_blog->parse(TRUE);
	}
}

?>