<?php
/*##################################################
 *                               management.php
 *                            -------------------
 *   begin                :  June 08, 2009
 *   copyright          : (C) 2009 Swan
 *   email                : swan@chez-swan.net
 *
 *
###################################################
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
####################################################
#                 Changelog                        #
#################################################### 
* 
*   Date                 : 27/08/2009
*   Auteur               : Swan | CsN
*   Email                : contact@chez-swan.net
*   Web                  : http://chez-swan.net/
*   Description          : modification du nom du module en module blog.

####################################################*/

require_once('../kernel/begin.php');

load_module_lang('blog'); //Chargement de la langue du module.
$Cache->load('blog');

import('util/date');
import('util/mini_calendar');

$edit_blog_id = retrieve(GET, 'edit', 0);
$add_blog = retrieve(GET, 'new', false);
$preview = retrieve(POST, 'preview', false);
$submit = retrieve(POST, 'submit', false);
$selected_cat = retrieve(GET, 'idcat', 0);
$delete_blog = retrieve(GET, 'del', 0);

//Form variables
$blog_title = retrieve(POST, 'title', '');
$blog_image = retrieve(POST, 'image', '');
$blog_contents = retrieve(POST, 'contents', '', TSTRING_UNCHANGE);
$blog_short_contents = retrieve(POST, 'short_contents', '', TSTRING_UNCHANGE);
$blog_timestamp = retrieve(POST, 'timestamp', 0);
$blog_cat_id = retrieve(POST, 'idcat', 0);
$blog_visibility = retrieve(POST, 'visibility', 0);
$ignore_release_date = retrieve(POST, 'ignore_release_date', false);

//Instanciations of objects required
$blog_creation_date = new Date(DATE_FROM_STRING, TIMEZONE_AUTO, retrieve(POST, 'creation', '', TSTRING_UNCHANGE), $LANG['date_format_short']);

if (!$ignore_release_date)
	$blog_release_date = new Date(DATE_FROM_STRING, TIMEZONE_AUTO, retrieve(POST, 'release_date', ''), $LANG['date_format_short'], TSTRING_UNCHANGE);
else
	$blog_release_date = new Date(DATE_NOW, TIMEZONE_AUTO);


$begining_date = new Date(DATE_FROM_STRING, TIMEZONE_AUTO, retrieve(POST, 'begining_date', '', TSTRING_UNCHANGE), $LANG['date_format_short']);
$end_date = new Date(DATE_FROM_STRING, TIMEZONE_AUTO, retrieve(POST, 'end_date', '', TSTRING_UNCHANGE), $LANG['date_format_short']);

//Deleting a blog
if ($delete_blog > 0)
{
	$blog_infos = $Sql->query_array(PREFIX . 'blog', '*', "WHERE id = '" . $delete_blog . "'", __LINE__, __FILE__);
	if (empty($blog_infos['title']))
		redirect(HOST. DIR . url('/blog/blog.php'));
	
	if ($blog_categories->check_auth($blog_infos['idcat']))
	{
		$Sql->query_inject("DELETE FROM " . PREFIX . "blog WHERE id = '" . $delete_blog . "'", __LINE__, __FILE__);
		//Deleting comments if the blog has
		if ($blog_infos['nbr_com'] > 0)
		{
			import('content/comments');
			$Comments = new Comments('blog', $delete_blog, url('blog.php?id=' . $delete_blog . '&amp;com=%s', 'blog-' . $delete_blog . '.php?com=%s'));
			//$Comments->set_arg($blog_id);
			$Comments->delete_all($delete_blog);
		}
		redirect(HOST. DIR . '/blog/' . ($blog_infos['idcat'] > 0 ? url('blog.php?cat=' . $blog_infos['idcat'], 'category-' . $blog_infos['idcat'] . '+' . url_encode_rewrite($blog_CATS[$blog_infos['idcat']]['name']) . '.php') : url('blog.php')));
        
        // Feeds Regeneration
        import('content/syndication/feed');
        Feed::clear_cache('blog');
	}
	else
		$Errorh->handler('e_auth', E_USER_REDIRECT);
}
elseif ($edit_blog_id > 0)
{
	$blog_infos = $Sql->query_array(PREFIX . 'blog', '*', "WHERE id = '" . $edit_blog_id . "'", __LINE__, __FILE__);
	if (empty($blog_infos['title']))
		redirect(HOST. DIR . url('/blog/blog.php'));
	define('TITLE', $blog_LANG['blog_management']);
	
	//Barre d'arborescence
	$auth_write = $User->check_auth($CONFIG_blog['global_auth'], WRITE_CAT_blog);
	
	$Bread_crumb->add($blog_LANG['blog_management'], url('management.php?edit=' . $edit_blog_id));
	
	$Bread_crumb->add($blog_infos['title'], url('blog.php?id=' . $edit_blog_id, 'blog-' . $edit_blog_id . '+' . url_encode_rewrite($blog_infos['title']) . '.php'));
	
	$id_cat = $blog_infos['idcat'];

	//Bread_crumb : we read categories list recursively
	while ($id_cat > 0)
	{
		$Bread_crumb->add($blog_CATS[$id_cat]['name'], url('blog.php?id=' . $id_cat, 'category-' . $id_cat . '+' . url_encode_rewrite($blog_CATS[$id_cat]['name']) . '.php'));
		
		if (!empty($blog_CATS[$id_cat]['auth']))
			$auth_write = $User->check_auth($blog_CATS[$id_cat]['auth'], WRITE_CAT_blog);
		
		$id_cat = (int)$blog_CATS[$id_cat]['id_parent'];
	}
	
	if (!$auth_write)
		$Errorh->handler('e_auth', E_USER_REDIRECT);
}
else
{
	$Bread_crumb->add($blog_LANG['blog_addition'], url('management.php?new=1'));
	define('TITLE', $blog_LANG['blog_addition']);
}


$Bread_crumb->add($blog_LANG['blog'], url('blog.php'));

$Bread_crumb->reverse();
	

require_once('../kernel/header.php');

$Template->set_filenames(array(
	'blog_management'=> 'blog/blog_management.tpl'
));

if ($edit_blog_id > 0)
{
	if ($submit)
	{
		//The form is ok
		if (!empty($blog_title) && $blog_categories->check_auth($blog_cat_id) && !empty($blog_url) && !empty($blog_contents))
		{
			$visible = 1;
			
			$date_now = new Date(DATE_NOW);
			
			switch ($blog_visibility)
			{
				case 2:
					if ($begining_date->get_timestamp() < $date_now->get_timestamp() &&  $end_date->get_timestamp() > $date_now->get_timestamp())
					{
						$start_timestamp = $begining_date->get_timestamp();
						$end_timestamp = $end_date->get_timestamp();
					}
					else
						$visible = 0;

					break;
				case 1:
					list($start_timestamp, $end_timestamp) = array(0, 0);
					break;
				default:
					list($visible, $start_timestamp, $end_timestamp) = array(0, 0, 0);
			}
			
			$Sql->query_inject("UPDATE " . PREFIX . "blog SET title = '" . $blog_title . "', idcat = '" . $blog_cat_id . "', url = '" . $blog_url . "', size = '" . $blog_size . "', count = '" . $blog_hits . "', contents = '" . strparse($blog_contents) . "', short_contents = '" . strparse($blog_short_contents) . "', image = '" . $blog_image . "', timestamp = '" . $blog_creation_date->get_timestamp() . "', release_timestamp = '" . ($ignore_release_date ? 0 : $blog_release_date->get_timestamp()) . "', start = '" . $start_timestamp . "', end = '" . $end_timestamp . "', visible = '" . $visible . "' WHERE id = '" . $edit_blog_id . "'", __LINE__, __FILE__);
			
			//Updating the number of subblogs in each category
			if ($blog_cat_id != $blog_infos['idcat'])
			{
				$blog_categories->Recount_sub_blogs();
			}
            
            // Feeds Regeneration
            import('content/syndication/feed');
            Feed::clear_cache('blog');
            
			redirect(HOST . DIR . '/blog/' . url('blog.php?id=' . $edit_blog_id, 'blog-' . $edit_blog_id . '+' . url_encode_rewrite($blog_title) . '.php'));
		}
		//Error (which souldn't happen because of the javascript checking)
		else
		{
			redirect(HOST . DIR . '/blog/' . url('blog.php'));
		}
	}
	//Previewing a blog
	elseif ($preview)
	{
		$begining_calendar = new MiniCalendar('begining_date');
		$begining_calendar->set_date($begining_date);
		$end_calendar = new MiniCalendar('end_date');
		$end_calendar->set_date($end_date);
		$end_calendar->set_style('margin-left:150px;');

		$Template->set_filenames(array('blog' => 'blog/blog.tpl'));
		
		if ($blog_size > 1)
			$size_tpl = $blog_size . ' ' . $LANG['unit_megabytes'];
		elseif ($blog_size > 0)
			$size_tpl = ($blog_size * 1024) . ' ' . $LANG['unit_kilobytes'];
		else
			$size_tpl = $blog_LANG['unknown_size'];
		
		//Cr�ation des calendriers
		$creation_calendar = new MiniCalendar('creation');
		$creation_calendar->set_date($blog_creation_date);
		$release_calendar = new MiniCalendar('release_date');
		$release_calendar->set_date($blog_release_date);
		
		if ($blog_visibility < 0 || $blog_visibility > 2)
			$blog_visibility = 0;

		$Template->assign_vars(array(
			'C_DISPLAY_blog' => true,
			'C_IMG' => !empty($blog_image),
			'C_EDIT_AUTH' => false,
			'MODULE_DATA_PATH' => $Template->get_module_data_path('blog'),
			'NAME' => stripslashes($blog_title),
			'CONTENTS' => second_parse(stripslashes(strparse($blog_contents))),
			'CREATION_DATE' => $blog_creation_date->format(DATE_FORMAT_SHORT) ,
			'RELEASE_DATE' => $blog_release_date->get_timestamp() > 0 ? $blog_release_date->format(DATE_FORMAT_SHORT) : $blog_LANG['unknown_date'],
			'SIZE' => $size_tpl,
			'COUNT' => $blog_hits,
			'THEME' => get_utheme(),
			'HITS' => sprintf($blog_LANG['n_times'], (int)$blog_hits),
			'NUM_NOTES' => sprintf($blog_LANG['num_notes'], 0),
			'U_IMG' => $blog_image,
			'IMAGE_ALT' => str_replace('"', '\"', $blog_title),
			'LANG' => get_ulang(),
			// Those langs are required by the template inclusion
			'L_DATE' => $LANG['date'],
			'L_SIZE' => $LANG['size'],
			'L_blog' => $blog_LANG['blog'],
			'L_blog_FILE' => $blog_LANG['blog_blog'],
			'L_FILE_INFOS' => $blog_LANG['blog_infos'],
			'L_INSERTION_DATE' => $blog_LANG['insertion_date'],
			'L_RELEASE_DATE' => $blog_LANG['release_date'],
			'L_blogED' => $blog_LANG['bloged'],
			'L_NOTE' => $LANG['note'],
			'U_blog_FILE' => url('count.php?id=' . $edit_blog_id, 'blog-' . $edit_blog_id . '+' . url_encode_rewrite($blog_title) . '.php')
		));

		$Template->assign_vars(array(
			'TITLE' => $blog_title,
			'COUNT' => $blog_hits,
			'DESCRIPTION' => $blog_contents,
			'SHORT_DESCRIPTION' => $blog_short_contents,
			'FILE_IMAGE' => $blog_image,
			'URL' => $blog_url,
			'SIZE_FORM' => $blog_size,
			'DATE' => $blog_creation_date->format(DATE_FORMAT_SHORT, TIMEZONE_AUTO),
			'CATEGORIES_TREE' => $blog_categories->build_select_form($blog_cat_id, 'idcat', 'idcat', 0, WRITE_CAT_blog, $CONFIG_blog['global_auth'], IGNORE_AND_CONTINUE_BROWSING_IF_A_CATEGORY_DOES_NOT_MATCH),
			'SHORT_DESCRIPTION_PREVIEW' => second_parse(stripslashes(strparse($blog_short_contents))),
			'VISIBLE_WAITING' => $blog_visibility == 2 ? ' checked="checked"' : '',
			'VISIBLE_ENABLED' => $blog_visibility == 1 ? ' checked="checked"' : '',
			'VISIBLE_UNAPROVED' => $blog_visibility == 0 ? ' checked="checked"' : '',
			'DATE_CALENDAR_CREATION' => $creation_calendar->display(),
			'DATE_CALENDAR_RELEASE' => $release_calendar->display(),
			'BOOL_IGNORE_RELEASE_DATE' => $ignore_release_date ? 'true' : 'false',
			'STYLE_FIELD_RELEASE_DATE' => $ignore_release_date ? 'none' : 'block',
			'IGNORE_RELEASE_DATE_CHECKED' => $ignore_release_date ? ' checked="checked"' : '',
			'BEGINING_CALENDAR' => $begining_calendar->display(),
			'END_CALENDAR' => $end_calendar->display(),
		));
	}
	//Default formulary, with blog infos from the database
	else
	{
		$blog_creation_date = new Date(DATE_TIMESTAMP, TIMEZONE_AUTO, $blog_infos['timestamp']);
		$blog_release_date = new Date(DATE_TIMESTAMP, TIMEZONE_AUTO, $blog_infos['release_timestamp']);
		
		$creation_calendar = new MiniCalendar('creation');
		$creation_calendar->set_date($blog_creation_date);
		
		$release_calendar = new MiniCalendar('release_date');
		$ignore_release_date = ($blog_release_date->get_timestamp() == 0);
		if (!$ignore_release_date)
			$release_calendar->set_date($blog_release_date);
		
		
		$begining_calendar = new MiniCalendar('begining_date');
		$end_calendar = new MiniCalendar('end_date');
		$end_calendar->set_style('margin-left:150px;');
		
		if (!empty($blog_infos['start']) && !empty($blog_infos['end']))
		{
			$blog_visibility = 2;
			$begining_calendar->set_date(new Date(DATE_TIMESTAMP, TIMEZONE_AUTO, $blog_infos['start']));
			$end_calendar->set_date(new Date(DATE_TIMESTAMP, TIMEZONE_AUTO, $blog_infos['end']));
		}
		elseif (!empty($blog_infos['visible']))
			$blog_visibility = 1;
		else
			$blog_visibility = 0;
		
		$Template->assign_vars(array(
			'TITLE' => $blog_infos['title'],
			'COUNT' => !empty($blog_infos['count']) ? $blog_infos['count'] : 0,
			'DESCRIPTION' => unparse($blog_infos['contents']),
			'SHORT_DESCRIPTION' => unparse($blog_infos['short_contents']),
			'FILE_IMAGE' => $blog_infos['image'],
			'URL' => $blog_infos['url'],
			'SIZE_FORM' => $blog_infos['size'],
			'DATE' => $blog_creation_date->format(DATE_FORMAT_SHORT, TIMEZONE_AUTO),
			'CATEGORIES_TREE' => $blog_categories->build_select_form($blog_infos['idcat'], 'idcat', 'idcat', 0, WRITE_CAT_blog, $CONFIG_blog['global_auth'], IGNORE_AND_CONTINUE_BROWSING_IF_A_CATEGORY_DOES_NOT_MATCH),
			'DATE_CALENDAR_CREATION' => $creation_calendar->display(),
			'DATE_CALENDAR_RELEASE' => $release_calendar->display(),
			'BOOL_IGNORE_RELEASE_DATE' => $ignore_release_date ? 'true' : 'false',
			'STYLE_FIELD_RELEASE_DATE' => $ignore_release_date ? 'none' : 'block',
			'IGNORE_RELEASE_DATE_CHECKED' => $ignore_release_date ? ' checked="checked"' : '',
			'BEGINING_CALENDAR' => $begining_calendar->display(),
			'END_CALENDAR' => $end_calendar->display(),
			'VISIBLE_WAITING' => $blog_visibility == 2 ? ' checked="checked"' : '',
			'VISIBLE_ENABLED' => $blog_visibility == 1 ? ' checked="checked"' : '',
			'VISIBLE_UNAPROVED' => $blog_visibility == 0 ? ' checked="checked"' : '',
			'U_TARGET' => url('management.php?edit=' . $edit_blog_id . '&amp;token=' . $Session->get_token())
		));
	}
}
//Adding a blog
elseif ($add_blog)
{
	if ($submit)
	{
		//The form is ok
		if (!empty($blog_title) && $blog_categories->check_auth($blog_cat_id) && !empty($blog_url) && !empty($blog_contents))
		{
			$visible = 1;
			
			$date_now = new Date(DATE_NOW);
			
			switch ($blog_visibility)
			{
				case 2:
					if ($begining_date->get_timestamp() < $date_now->get_timestamp() &&  $end_date->get_timestamp() > $date_now->get_timestamp())
					{
						$start_timestamp = $begining_date->get_timestamp();
						$end_timestamp = $end_date->get_timestamp();
					}
					else
						$visible = 0;

					break;
				case 1:
					list($start_timestamp, $end_timestamp) = array(0, 0);
					break;
				default:
					list($visible, $start_timestamp, $end_timestamp) = array(0, 0, 0);
			}
			
			$Sql->query_inject("INSERT INTO " . PREFIX . "blog (title, idcat, url, size, count, contents, short_contents, image, timestamp, release_timestamp, start, end, visible) VALUES ('" . $blog_title . "', '" . $blog_cat_id . "', '" . $blog_url . "', '" . $blog_size . "', '" . $blog_hits . "', '" . strparse($blog_contents) . "', '" . strparse($blog_short_contents) . "', '" . $blog_image . "', '" . $blog_creation_date->get_timestamp() . "', '" . ($ignore_release_date ? 0 : $blog_release_date->get_timestamp()) . "', '" . $start_timestamp . "', '" . $end_timestamp . "', '" . $visible . "')", __LINE__, __FILE__);
			
			$new_id_blog = $Sql->insert_id("SELECT MAX(id) FROM " . PREFIX . "blog");
			
			//Updating the number of subblogs in each category
			if ($blog_cat_id != $blog_infos['idcat'])
			{
				$blog_categories->Recount_sub_blogs();
			}
            
            // Feeds Regeneration
            import('content/syndication/feed');
            Feed::clear_cache('blog');
            
			redirect(HOST . DIR . '/blog/' . url('blog.php?id=' . $new_id_blog, 'blog-' . $new_id_blog . '+' . url_encode_rewrite($blog_title) . '.php'));
		}
		//Error (which souldn't happen because of the javascript checking)
		else
		{
			redirect(HOST . DIR . '/blog/' . url('blog.php'));
		}
	}
	//Previewing a blog
	elseif ($preview)
	{
		$begining_calendar = new MiniCalendar('begining_date');
		$begining_calendar->set_date($begining_date);
		$end_calendar = new MiniCalendar('end_date');
		$end_calendar->set_date($end_date);
		$end_calendar->set_style('margin-left:150px;');
		
		$Template->set_filenames(array('blog' => 'blog/blog.tpl'));
		
		if ($blog_size > 1)
			$size_tpl = $blog_size . ' ' . $LANG['unit_megabytes'];
		elseif ($blog_size > 0)
			$size_tpl = ($blog_size * 1024) . ' ' . $LANG['unit_kilobytes'];
		else
			$size_tpl = $blog_LANG['unknown_size'];
		
		//Cr�ation des calendriers
		$creation_calendar = new MiniCalendar('creation');
		$creation_calendar->set_date($blog_creation_date);
		$release_calendar = new MiniCalendar('release_date');
		$release_calendar->set_date($blog_release_date);
		
		if ($blog_visibility < 0 || $blog_visibility > 2)
			$blog_visibility = 0;

		$Template->assign_vars(array(
			'C_DISPLAY_blog' => true,
			'C_IMG' => !empty($blog_image),
			'C_EDIT_AUTH' => false,
			'MODULE_DATA_PATH' => $Template->get_module_data_path('blog'),
			'NAME' => stripslashes($blog_title),
			'CONTENTS' => second_parse(stripslashes(strparse($blog_contents))),
			'CREATION_DATE' => $blog_creation_date->format(DATE_FORMAT_SHORT) ,
			'RELEASE_DATE' => $blog_release_date->get_timestamp() > 0 ? $blog_release_date->format(DATE_FORMAT_SHORT) : $blog_LANG['unknown_date'],
			'SIZE' => $size_tpl,
			'COUNT' => $blog_hits,
			'THEME' => get_utheme(),
			'HITS' => sprintf($blog_LANG['n_times'], (int)$blog_hits),
			'NUM_NOTES' => sprintf($blog_LANG['num_notes'], 0),
			'U_IMG' => $blog_image,
			'IMAGE_ALT' => str_replace('"', '\"', $blog_title),
			'LANG' => get_ulang(),
			// Those langs are required by the template inclusion
			'L_DATE' => $LANG['date'],
			'L_SIZE' => $LANG['size'],
			'L_blog' => $blog_LANG['blog'],
			'L_blog_FILE' => $blog_LANG['blog_blog'],
			'L_FILE_INFOS' => $blog_LANG['blog_infos'],
			'L_INSERTION_DATE' => $blog_LANG['insertion_date'],
			'L_RELEASE_DATE' => $blog_LANG['release_date'],
			'L_blogED' => $blog_LANG['bloged'],
			'L_NOTE' => $LANG['note'],
			'U_blog_FILE' => url('count.php?id=' . $edit_blog_id, 'blog-' . $edit_blog_id . '+' . url_encode_rewrite($blog_title) . '.php')
		));

		$Template->assign_vars(array(
			'TITLE' => stripslashes($blog_title),
			'COUNT' => $blog_hits,
			'DESCRIPTION' => $blog_contents,
			'SHORT_DESCRIPTION' => $blog_short_contents,
			'FILE_IMAGE' => $blog_image,
			'URL' => $blog_url,
			'SIZE_FORM' => $blog_size,
			'DATE' => $blog_creation_date->format(DATE_FORMAT_SHORT, TIMEZONE_AUTO),
			'CATEGORIES_TREE' => $blog_categories->build_select_form($blog_cat_id, 'idcat', 'idcat', 0, WRITE_CAT_blog, $CONFIG_blog['global_auth'], IGNORE_AND_CONTINUE_BROWSING_IF_A_CATEGORY_DOES_NOT_MATCH),
			'SHORT_DESCRIPTION_PREVIEW' => second_parse(stripslashes(strparse($blog_short_contents))),
			'VISIBLE_WAITING' => $blog_visibility == 2 ? ' checked="checked"' : '',
			'VISIBLE_ENABLED' => $blog_visibility == 1 ? ' checked="checked"' : '',
			'VISIBLE_UNAPROVED' => $blog_visibility == 0 ? ' checked="checked"' : '',
			'DATE_CALENDAR_CREATION' => $creation_calendar->display(),
			'DATE_CALENDAR_RELEASE' => $release_calendar->display(),
			'BOOL_IGNORE_RELEASE_DATE' => $ignore_release_date ? 'true' : 'false',
			'STYLE_FIELD_RELEASE_DATE' => $ignore_release_date ? 'none' : 'block',
			'IGNORE_RELEASE_DATE_CHECKED' => $ignore_release_date ? ' checked="checked"' : '',
			'BEGINING_CALENDAR' => $begining_calendar->display(),
			'END_CALENDAR' => $end_calendar->display(),
		));
	}
	else
	{
		$blog_creation_date = new Date(DATE_NOW, TIMEZONE_AUTO);
		$blog_release_date = new Date(DATE_NOW, TIMEZONE_AUTO);
		
		$creation_calendar = new MiniCalendar('creation');
		$creation_calendar->set_date($blog_creation_date);
		
		$release_calendar = new MiniCalendar('release_date');
		$ignore_release_date = false;
		if (!$ignore_release_date)
			$release_calendar->set_date($blog_release_date);
		
		
		$begining_calendar = new MiniCalendar('begining_date');
		$end_calendar = new MiniCalendar('end_date');
		$end_calendar->set_style('margin-left:150px;');
		
		$begining_calendar->set_date(new Date(DATE_NOW, TIMEZONE_AUTO));
		$end_calendar->set_date(new Date(DATE_NOW, TIMEZONE_AUTO));
		$blog_visibility = 0;
		
		$Template->assign_vars(array(
			'TITLE' => '',
			'COUNT' => 0,
			'DESCRIPTION' => '',
			'SHORT_DESCRIPTION' => '',
			'FILE_IMAGE' => '',
			'URL' => '',
			'SIZE_FORM' => '',
			'DATE' => $blog_creation_date->format(DATE_FORMAT_SHORT, TIMEZONE_AUTO),
			'CATEGORIES_TREE' => $blog_categories->build_select_form($selected_cat, 'idcat', 'idcat', 0, WRITE_CAT_blog, $CONFIG_blog['global_auth'], IGNORE_AND_CONTINUE_BROWSING_IF_A_CATEGORY_DOES_NOT_MATCH),
			'DATE_CALENDAR_CREATION' => $creation_calendar->display(),
			'DATE_CALENDAR_RELEASE' => $release_calendar->display(),
			'BOOL_IGNORE_RELEASE_DATE' => $ignore_release_date ? 'true' : 'false',
			'STYLE_FIELD_RELEASE_DATE' => $ignore_release_date ? 'none' : 'block',
			'IGNORE_RELEASE_DATE_CHECKED' => $ignore_release_date ? ' checked="checked"' : '',
			'BEGINING_CALENDAR' => $begining_calendar->display(),
			'END_CALENDAR' => $end_calendar->display(),
			'VISIBLE_WAITING' => '',
			'VISIBLE_ENABLED' => ' checked="checked"',
			'VISIBLE_UNAPROVED' => '',
			'U_TARGET' => url('management.php?new=1&amp;token=' . $Session->get_token())
		));
	}
}

$Template->assign_vars(array(
	'KERNEL_EDITOR' => display_editor(),
	'KERNEL_EDITOR_SHORT' => display_editor('short_contents'),
	'C_PREVIEW' => $preview,
	'L_PAGE_TITLE' => TITLE,
	'L_EDIT_FILE' => $blog_LANG['edit_blog'],
	'L_YES' => $LANG['yes'],
	'L_NO' => $LANG['no'],
	'L_blog_DATE' => $blog_LANG['blog_date'],
	'L_IGNORE_RELEASE_DATE' => $blog_LANG['ignore_release_date'],
	'L_RELEASE_DATE' => $blog_LANG['release_date'],
	'L_FILE_VISIBILITY' => $blog_LANG['blog_visibility'],
	'L_NOW' => $LANG['now'],
	'L_UNAPPROVED' => $LANG['unapproved'],
	'L_TO_DATE' => $LANG['to_date'],
	'L_FROM_DATE' => $LANG['from_date'],
	'L_DESC' => $LANG['description'],
	'L_blog' => $blog_LANG['blog'],
	'L_SIZE' => $LANG['size'],
	'L_URL' => $LANG['url'],
	'L_FILE_IMAGE' => $blog_LANG['blog_image'],
	'L_TITLE' => $LANG['title'],
	'L_CATEGORY' => $LANG['category'],
	'L_REQUIRE' => $LANG['require'],
	'L_blog_ADD' => $blog_LANG['blog_add'],
	'L_blog_MANAGEMENT' => $blog_LANG['blog_management'],
	'L_blog_CONFIG' => $blog_LANG['blog_config'],
	'L_UPDATE' => $LANG['update'],
	'L_RESET' => $LANG['reset'],
	'L_PREVIEW' => $LANG['preview'],
	'L_UNIT_SIZE' => $LANG['unit_megabytes'],
	'L_CONTENTS' => $blog_LANG['complete_contents'],
	'L_SHORT_CONTENTS' => $blog_LANG['short_contents'],
	'L_SUBMIT' => $edit_blog_id > 0 ? $blog_LANG['update_blog'] : $blog_LANG['add_blog'],
	'L_WARNING_PREVIEWING' => $blog_LANG['warning_previewing'],
	'L_REQUIRE_DESCRIPTION' => $blog_LANG['require_description'],
	'L_REQUIRE_URL' => $blog_LANG['require_url'],
	'L_REQUIRE_CREATION_DATE' => $blog_LANG['require_creation_date'],
	'L_REQUIRE_RELEASE_DATE' => $blog_LANG['require_release_date'],
	'L_REQUIRE_TITLE' => $LANG['require_title']
));
	
$Template->pparse('blog_management');
require_once('../kernel/footer.php');

?>
